#define BZ_ENTRYPOINT
#include <breeze.h>

#include <raylib.h>
#include <rlImGui.h>

bool init(int *game) {
    rlImGuiSetup(true);

    return true;
}

void render(float dt, int *game) {
    ClearBackground(WHITE);

    rlImGuiBegin();
    igShowDemoWindow(NULL);
    rlImGuiEnd();
}

bool bzMain(BzAppDesc *appDesc, int argc, const char **argv) {
    appDesc->init = (BzAppInitFunc) init;
    appDesc->render = (BzAppRenderFunc) render;

    return true;
}